Description

Applying Topology Rules to refine borders of Basins using QGIS.
Used Check Geometry and Topology Checker to try and correct ends of basins.
Some Basins looked good and followed the correct rule for overlap while a few of them did not.

Checking through all the rules to eventually look at the possibility of removing the faulty overlaps automatically. Else will have to
resort to manual editing for them.

History

#1 - 07/06/2019 12:29 - Debojyoti Mallick
- File AfterCheckGeometry.png added

- File AfterDissolve2.png added

- File AttributeforDissolve.png added

- File BeforeCheckGeometry.png added

- File BeforeDissolve2.png added

- File Dissolve Problem1.png added

- File JoinwithDrain.png added

- File Dissolve.png added

Debojyoti Mallick wrote:
Applying Topology Rules to refine borders of Basins using QGIS.
Used Check Geometry and Topology Checker to try and correct ends of basins.
Some Basins looked good and followed the correct rule for overlap while a few of them did not.

Checking through all the rules to eventually look at the possibility of removing the faulty overlaps automatically. Else will have to resort to manual
editing for them.

Check Geometry and Topology Checker cannot be used to correct overlaps as both of them define an overlap only considering how the boundaries of
polygons are shared with one another.

This defeats the purpose as the overlaps should be eliminated by the logic of the catchment points inside the basin and the direction of the drain to
the lowest catchment area.

Only using simple Topology checks results in such anomalies.
Before using Check Geometry

A

As you can see in the image above the overlaps are removed but they do not respect the direction of the drains nor do they respect the location of the
catchment points.

Second alternative which was used was VClean using GRASS toolbox.
This uses the Topology Checker results to eventually clean the overlaps. This does give much better results but still creates some similar anomalies
as discussed before. In addition to this it also automatically eliminates Silver Polygons which is not ideal as it would eventually eliminate the

sub-basins and very small catchment areas.

To resolve geometric errors inclusive of Drains and Catchment points we did not use simple Topology rules as QGIS does not give the option of
relations between points, lines and polygons.

Hence we use basic spatial concepts like Spatial Joins, Merge and Dissolve.

We first run a Spatial Join (Join by Location) between the Basins (Polygons) and the Drains (Lines)
A single attribute table with both results gives us more control.

The resulting layer is as follows.
As the above figure shows, we can now see all the defined shapes of the basins and this will not show any overlaps.
This is now used as a base layer and we use the drain numbers to run our dissolve.

The resulting layer is not correct as consecutive drain numbers do not necessarily lead to or belong to the same basin.

Hence we have to include the catchment points and use those as a reference to define the boundaries for the basins.
On checking the attribute table the Basin column in the catchment points is a very reliable attribute to work with.

Hence ran a Spatial Join between the Basins, Drains and the Catchment Points.

@ ExtractedBasinb(more_reduced) : Features Total: 154075, Filtered: 154075, Selected: 0 - o X
JEBRIBT e HBERGTESRD LLE B @& | ——
| max_drain_ overflow_n color overflow_t basin_type superbasin superbas 1 fid 2 lowest_nod length fid 3 | basin | tegena =
1 100000...| 101,0473886546... 27923.00000000... #78b58780 28431,00000000... basin 32846.00000000... 7404 26260 £.302832317172... 10598 10604 T ————ccdurce | |
2 IDD00O.. 101.0473886546... 27923.00000000... #78b58780 28431,00000000... basin 32846.00000000... 7482 14641 2.743149175618... 10598 10604 29932 source
3 IDD00O. 101.0473886546... 27923.00000000... #78b58780 28431,00000000... basin 32846.00000000.. 8043 14308 2.167084512976... 10598 10604 29932 source
4 IDDD0O.. 101.0473886546... 27923.00000000... #78b38780 28431,00000000... basin 32845.00000000.. 2445 13572 0.752820552176... 10598 10604 29932 source
S 100000.. 101.0473386546.. 27923,00000000.. #78b58750 28431,00000000... basin 32846.00000000... 2550 13572 0.069905702200.., 10598 10604 20932 source
6 I000O.. 101.0473886546... 27923.00000000... #78b58780 28431,00000000... basin 32846.00000000... 72 13572 0.438429574013... 10598 10604 29932 source
7 IDDO0O.. 101.0473886546... 27923.00000000... #78b58780 28431,00000000... basin 32846.00000000.. 8598 14308 1.329871731523... 10598 10604 29932 source
2 IDD00O.. 101.0473886546... 27923.00000000... #78b58780 28431,00000000... basin 32846.00000000... 614 14308 1.384528198368... 10598 10604 29932 source
9 JDDDOD.. 101.0473886545... 27923.00000000... #78b38780 28431,00000000... basin 32845.00000000.. 2656 14308 0.355031426370.. 10508 10604 20932 source
10 100000.. 101.0473886546.. 27923.00000000.. #78b58750 28431,00000000... basin 32846.00000000... 2674 17258 2.373040348203... 10588 10604 20932 source
11 00000.. 101.0473896545... 27923.00000000.. #78658720 Loret o %1 00000000... basin 32846.00000000... 072 17258 2.309934556831... 10598 10604 29932 source
12 ID0000.. 101.047386546.. 27923,00000000.. #78558780 28431,00000000... basin 32846.00000000... 8750 14641 0.356133572756... 10598 10604 29932 source
13 D000.. 101.047386546.. 27923.00000000.. #78558780 28431,00000000... basin 32846.00000000.. 8950 15461 0.927231170516... 10598 10604 29932 source
14 DD0DD.. 101047386545, 27923.00000000.. #78b58780 28431,00000000... basin 32845.00000000.. 9071 15451 0.366561199224... 10598 10604 20932 source
15 100000.. 101.0473886546.. 27923,00000000.. #78b58750 28431,00000000... basin 32846.00000000... 9631 26260 5.462472381640... 10598 10604 20932 source
16 1D0000.. 101.0473886546.. 27923,00000000.. #78558780 28431,00000000... basin 32846.00000000... 9709 1725 147106091196 1... 10598 10604 29932 source
17 ID00D.. 101.047386546.. 27923,00000000.. #78558780 28431,00000000... basin 32846.00000000.. 9711 27411 6.941462938703... 10598 10604 29932 source
18 10000 101.0473836546.. 27923,00000000.. #78b58760 28431,00000000... basin 32846.00000000.. 10028 17258 0.336012849202... 10598 10604 29932 source
19 DD00D.. 101.0473886545.. 2702300000000, #78b58780 28431,00000000... basin 32845.00000000.. 10706 1714 0.588264597681.. 10508 10604 20932 source
20 I00000.. 101.0473886546... 27923.00000000... #78b58720 28431,00000000... basin 3 10750 17573 1.506484630056.. 10598 10604 20932 source o
4 »
[J?_ Show All Fean.reslv] l

We now run GDAL Dissolve using the Catchment Points as a reference.
The results are good but we do have a few anomalies as the tool cannot decide the borders of the certain basins.
IDissolve Problem1.png!

As per the image above, you will see that the polygons have been merged because the dissolve tool was not able to decide where the point belongs.
But this is the only anomaly with regards to a single point.

Keep in mind that we have considered the true definition and use of Dissolve illustrated below.
Dissolve the polygon layer on a common attribute

But the difference here is the fact that we are using the Catchment Points as the defining variable hence it should not merge the polygons rather
define the borders of the basins (by eradicating unnecessary overlaps).

A similar issue of Merging Polygons occurs when there are multiple catchment points between two polygons.
The GDAL Dissolve tool is unable to decide the correct outline of the basin in such areas.
In the image above you can see another case of merged polygons.

The rest of the layer does not show this problem as 80% of the overlaps are eradicated correctly.

Hence we use Dissolve in Python/GeoPandas rather than use the GDAL tool in QGIS to check if the same issue is replicated.
There seems to be an issue with Jupyter with regards to reading files

gdf = gpd.read_file('SandBox/Debo/data/ExtractedBasinémore_reduced.shp')

Unfortunately files cannot be read. | will run this once it has been resolved.

Hence running it on VSCode to check the results. Takes time because of the hardware incompetence of my machine. Will be running this on a
desktop to check the results.
#2 - 07/06/2019 14:55 - Debojyoti Mallick

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Applying Topology Rules to refine borders of Basins using QGIS.
Used Check Geometry and Topology Checker to try and correct ends of basins.
Some Basins looked good and followed the correct rule for overlap while a few of them did not.

Checking through all the rules to eventually look at the possibility of removing the faulty overlaps automatically. Else will have to resort to
manual editing for them.

Check Geometry and Topology Checker cannot be used to correct overlaps as both of them define an overlap only considering how the
boundaries of polygons are shared with one another.

This defeats the purpose as the overlaps should be eliminated by the logic of the catchment points inside the basin and the direction of the drain
to the lowest catchment area.

Only using simple Topology checks results in such anomalies.

y |

Before using Check Geometry
As you can see in the image above the overlaps are removed but they do not respect the direction of the drains nor do they respect the location
of the catchment points.

Second alternative which was used was VClean using GRASS toolbox.
This uses the Topology Checker results to eventually clean the overlaps. This does give much better results but still creates some similar
anomalies as discussed before. In addition to this it also automatically eliminates Silver Polygons which is not ideal as it would eventually

eliminate the sub-basins and very small catchment areas.

To resolve geometric errors inclusive of Drains and Catchment points we did not use simple Topology rules as QGIS does not give the option of
relations between points, lines and polygons.

Hence we use basic spatial concepts like Spatial Joins, Merge and Dissolve.

We first run a Spatial Join (Join by Location) between the Basins (Polygons) and the Drains (Lines)
A single attribute table with both results gives us more control.

The resulting layer is as follows.

D

As the above figure shows, we can now see all the defined shapes of the basins and this will not show any overlaps.
This is now used as a base layer and we use the drain numbers to run our dissolve.

The resulting layer is not correct as consecutive drain numbers do not necessarily lead to or belong to the same basin.

Hence we have to include the catchment points and use those as a reference to define the boundaries for the basins.
On checking the attribute table the Basin column in the catchment points is a very reliable attribute to work with.

Hence ran a Spatial Join between the Basins, Drains and the Catchment Points.
(2 ExtractedBasinB{more_reduced) :: Features Total: 154075, Filtered: 154075, Selected: 0 — [m] »
4 = L B TESR BEge
max_drain_ overflow_n color overflow_t basin_type superbasin superbas_1 fid_2 lowest_nod length fid_3 id basin | legend <
1 ...| 101.0473886546... 27923.00000000... #78b58780 28431.00000000... | basin 32846.00000000... T404 26260 8.302832317172... 10598 10604 jurce
2 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 7482 14641 2.743148175618... 10588 10604 29932 source
3 ... | 101.0473886546... 27923.00000000... #78b58780 28431.00000000... | basin 32846.00000000... 2043 14308 | 2.167084512916... 10598 10604 29932 SOUICE
4 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 2446 13572 0.752820552176... 10598 10604 29932 source
5 ... | 101.0473886546... 27923.00000000... #78b58780 28431.00000000... | basin 32846.00000000... 8550 13572 0.069905702200... 10598 10604 29932 SOUrce
6 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 8572 13572 0.438429574013... 10588 10604 29932 source
7 .| 101.0473886546... 27923.00000000... | #78b58780 28431.00000000... | basin 32846.00000000. 8598 14308 1.329871731523... 10598 10604 | 29932 source
8 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 2614 14308 1.384528198368... 10598 10604 29932 source
9 ... | 101.0473886546... 27923.00000000... #78b58780 28431.00000000... | basin 32846.00000000... 8656 14308 0.355931426370... 10598 10604 29932 SOUrce
10 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 8674 17258 2.373040348203... 10588 10604 29932 source
n .| 101.0473886546... 27923.00000000... | #78b58780 1 00000000...  basin 32846.00000000. 8725 17258 | 2.309934556831... 10598 10604 29932 source
12 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 8750 14641 0.356133572756... 10598 10604 29932 source
13 ... | 101.0473886546... 27923.00000000... #78b58780 28431.00000000... | basin 32846.00000000... 8960 15461 0.927231170516... 10588 10604 29932 source
14 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 907 15461 0.366561199224... 10598 10604 29932 source
15 ... | 101.0473886546... 27923.00000000... #78b58780 28431.00000000... | basin 32846.00000000... 9631 26260 5.462472381640... 10598 10604 29932 source
16 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 9709 17258 1.471060911961... 10598 10604 29932 source
17 ... | 101.0473886546... 27923.00000000... #78b58780 28431.00000000... | basin 32846.00000000... 9 27411 6.941462938703... 10588 10604 29932 source
18 100000...  101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000. 10028 17258 0.356012849202... 10598 10604 29932 source
19 ... | 101.0473886546... 27923.00000000... #78b58780 28431.00000000... | basin 32846.00000000... 10706 17114 0.588264597681... 10598 10604 29932 source
Z()_ 100000... 101.0473886546... 27923.00000000... #78b58780 28431.00000000... basin 32846.00000000... 10750 17573 1.506484639056... 10598 10604 29932 source -
4
| T show All Features |

We now run GDAL Dissolve using the Catchment Points as a reference.
The results are good but we do have a few anomalies as the tool cannot decide the borders of the certain basins.
IDissolve Problem1.png!

As per the image above, you will see that the polygons have been merged because the dissolve tool was not able to decide where the point
belongs. But this is the only anomaly with regards to a single point.

Keep in mind that we have considered the true definition and use of Dissolve illustrated below.

Dissolve the polygon layer on a common attribute

But the difference here is the fact that we are using the Catchment Points as the defining variable hence it should not merge the polygons rather
define the borders of the basins (by eradicating unnecessary overlaps).

A similar issue of Merging Polygons occurs when there are multiple catchment points between two polygons.
The GDAL Dissolve tool is unable to decide the correct outline of the basin in such areas.
In the image above you can see another case of merged polygons.

The rest of the layer does not show this problem as 80% of the overlaps are eradicated correctly.

Hence we use Dissolve in Python/GeoPandas rather than use the GDAL tool in QGIS to check if the same issue is replicated.
There seems to be an issue with Jupyter with regards to reading files

gdf = gpd.read_file('SandBox/Debo/data/ExtractedBasin6more_reduced.shp')

Unfortunately files cannot be read. | will run this once it has been resolved.

Hence running it on VSCode to check the results. Takes time because of the hardware incompetence of my machine. Will be running this on a
desktop to check the results.

Ran the dissolve using GeoPandas on Jupyter using a geopackage. Same results worried.png
This was the code used:

import geopandas
gdf = geopandas.read_file('data/Extractedbasin6_geopack.gpkg').to_crs({'init' :'epsg:4326'1)

import numpy as np
gdf.plot(color="white', edgecolor="black’)
import matplotlib.pyplot as plt

import matplotlib.lines as mlines
from matplotlib.colors import ListedColormap
gdf.geom_type.head()

Basin_bound = gdf'basin’, 'geometry’

Basin_dissolve = Basin_bound.dissolve(by='basin')

Basin_dissolve

Basin_dissolve.plot(color='white', edgecolor="black’)

#Gives the same result

This concludes that there is no issue with the GDAL Dissolve and the logic used to get the output is flawed.

Will check for alternatives.

#3 - 07/06/2019 15:29 - Debojyoti Mallick
- File After.png added
- File Before.png added

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Applying Topology Rules to refine borders of Basins using QGIS.
Used Check Geometry and Topology Checker to try and correct ends of basins.
Some Basins looked good and followed the correct rule for overlap while a few of them did not.

Checking through all the rules to eventually look at the possibility of removing the faulty overlaps automatically. Else will have to resort
to manual editing for them.

Check Geometry and Topology Checker cannot be used to correct overlaps as both of them define an overlap only considering how the
boundaries of polygons are shared with one another.

This defeats the purpose as the overlaps should be eliminated by the logic of the catchment points inside the basin and the direction of the
drain to the lowest catchment area.

Only using simple Topology checks results in such anomalies.
y |

Before using Check Geometry

A

As you can see in the image above the overlaps are removed but they do not respect the direction of the drains nor do they respect the
location of the catchment points.

Second alternative which was used was VClean using GRASS toolbox.

This uses the Topology Checker results to eventually clean the overlaps. This does give much better results but still creates some similar
anomalies as discussed before. In addition to this it also automatically eliminates Silver Polygons which is not ideal as it would eventually
eliminate the sub-basins and very small catchment areas.

To resolve geometric errors inclusive of Drains and Catchment points we did not use simple Topology rules as QGIS does not give the
option of relations between points, lines and polygons.

Hence we use basic spatial concepts like Spatial Joins, Merge and Dissolve.

We first run a Spatial Join (Join by Location) between the Basins (Polygons) and the Drains (Lines)
A single attribute table with both results gives us more control.

The resulting layer is as follows.
As the above figure shows, we can now see all the defined shapes of the basins and this will not show any overlaps.
This is now used as a base layer and we use the drain numbers to run our dissolve.

The resulting layer is not correct as consecutive drain numbers do not necessarily lead to or belong to the same basin.

Hence we have to include the catchment points and use those as a reference to define the boundaries for the basins.
On checking the attribute table the Basin column in the catchment points is a very reliable attribute to work with.

Hence ran a Spatial Join between the Basins, Drains and the Catchment Points.

(2 ExtractedBasinG(more_reduced)  Features Total: 154075, Filtered: 154075, Selected: 0 - [m] x
JEBR BT = BMENGRTYTESD LI E E 86 —
| max_drain_ overflow_n color overflow_t basin_type i superbas_1 fid_2 lowest_nod length fid3 id | basin | regend 4|
1 100000...] 101.0473886546... 27923.00000000...| ¥78b5E780 28431,00000000... basin '32846.00000000... 7404 26260 8302832317172... 10598 10604 BT ———eccdhurce | |
2 00000... 101.0473886546... 27923.00000000... #78bSE7E0 28431,00000000... basin '32846,00000000... 7432 14641 2.743149175618... 10598 10604 29932 source
3 00000...| 101.0473886546... 27523.00000000... #78bS8780 28431,00000000... basin '32846,00000000... 2043 14308 2.167084512916... 10598 10604| 20932 source
4 100000... 101.0473886546... 27923.00000000... #78b38780 28431.00000000... basin 32846.00000000... 8446 13572 0.752820552176... 10598 10604 29932 source
5 00000...| 101.0473886546... 27923.00000000... S78bSE7E0 28431,00000000... basin '32846,00000000... 550 13572 0.063905702200... 10598 10604| 29932 source
6 00000... 101.0473886546... 27923.00000000... #78bSE7E0 28431,00000000... basin '32846,00000000... &n 13572 0.438429574013... 10598 10604 29932 source
7 00000...| 101.0473886546... 27523.00000000... #78bS8780 28431,00000000... basin '32846,00000000... 2508 14308 1.320871731523... 10598 10604| 20932 source
8 100000... 101.0473886546... 27923.00000000... #78b38780 28431.00000000... basin 32846.00000000... 2614 14308 1.384528198368... 10598 10604 29932 source
9 00000...| 101.0473886546... 27923.00000000... S78bSE7E0 28431,00000000... basin '32846,00000000... 8656 14308 0,355931426370... 10598 10604| 29932 source
10 /00000 101.0473886546.. 27923.00000000... #78b58780 28431,00000000... basin '32846,00000000... 8674 17258 2.373040348203... 10598 10604 29932 source
T ooD00... 101047388546, 27923.00000000... #76ksa7eD L2 02 o0k opononoo.. basin '32846,00000000... o725 17258 2.300934556831... 10598 10604| 20932 source
12 100000... 101.0473886546... 27923.00000000... #78b38780 28431.00000000... basin 32846.00000000... 8750 14641 0.356133572736... 10598 10604 29932 source
13 100000...| 101.0473886546... 27923.00000000... 57858780 28431,00000000... basin '32846,00000000... 960 15461 0.927231170516u.. 10598 10604| 29932 source
14 00000 101.0473886546.. 27923.00000000... #78b58780 28431,00000000... basin '32846,00000000... 9071 15461 0,366561199224... 10598 10604 29932 source
15 100DD...| 101.0473886546... 27923.00000000... #78658730 28431,00000000... basin '32846,00000000... %631 26260 5.462472381640... 10598 10604| 20932 source
16 100000... 101.0473886546... 27923.00000000... #78b38780 28431.00000000... basin 32846.00000000... 9709 17238 1.471060911961... 10598 10604 29932 source
17 100000...| 101.0473886546... 27923.00000000... #78b5E780 28431,00000000... basin '32846,00000000... Enl 27411 6.341462938703... 10598 10604| 29932 source
18 00000 101.0473886546.. 27923.00000000... #78b58780 28431,00000000... basin '32846,00000000... 10028 17258 0,356012849202... 10598 10604 29932 source
19 100DD...| 101.0473886546... 27923.00000000... #78b58730 28431,00000000... basin '32846,00000000... 10706 17114 0.588264597681... 10598 10604| 20932 source
20 100000... 101.0473886546... 27923.00000000... #78b38780 28431.00000000... basin 10750 17573 1.506484639036... 10598 10604 29932 source |
1 v
[ ‘T Show All Fean.res|,] l

We now run GDAL Dissolve using the Catchment Points as a reference.
The results are good but we do have a few anomalies as the tool cannot decide the borders of the certain basins.
Dissolve Problem1.png!

As per the image above, you will see that the polygons have been merged because the dissolve tool was not able to decide where the point
belongs. But this is the only anomaly with regards to a single point.

Keep in mind that we have considered the true definition and use of Dissolve illustrated below.
Dissolve the polygon layer on a commaon attribute

But the difference here is the fact that we are using the Catchment Points as the defining variable hence it should not merge the polygons
rather define the borders of the basins (by eradicating unnecessary overlaps).

A similar issue of Merging Polygons occurs when there are multiple catchment points between two polygons.
The GDAL Dissolve tool is unable to decide the correct outline of the basin in such areas.

: /
In the image above you can see another case of merged polygons.

The rest of the layer does not show this problem as 80% of the overlaps are eradicated correctly.

Hence we use Dissolve in Python/GeoPandas rather than use the GDAL tool in QGIS to check if the same issue is replicated.
There seems to be an issue with Jupyter with regards to reading files

gdf = gpd.read_file("SandBox/Debo/data/ExtractedBasin6more_reduced.shp')

Unfortunately files cannot be read. | will run this once it has been resolved.

Hence running it on VSCode to check the results. Takes time because of the hardware incompetence of my machine. Will be running this
on a desktop to check the results.

Ran the dissolve using GeoPandas on Jupyter using a geopackage. Same results worried.png
This was the code used:

import geopandas
gdf = geopandas.read_file('data/Extractedbasin6_geopack.gpkg').to_crs({'init' :'epsg:4326'})

import numpy as np
gdf.plot(color='white', edgecolor='black’)
import matplotlib.pyplot as plt

import matplotlib.lines as mlines

from matplotlib.colors import ListedColormap

gdf.geom_type.head()
Basin_bound = gdf'basin', 'geometry"

Basin_dissolve = Basin_bound.dissolve(by="basin')

Basin_dissolve

Basin_dissolve.plot(color='white', edgecolor='black’)

#Gives the same result

This concludes that there is no issue with the GDAL Dissolve and the logic used to get the output is flawed.

Will check for alternatives.

Just to give a clearer output with the code on Jupyter:

¢matplotlib.axes. subplots.AxesSubplot at ex7f4f31796fde>

+1.2el

0.0086

0.0084 A

0.0082

0.0080 A

0.0078

0.0076

0.00050 0.00075 0.00100 0.00125
+7.981el

Before

<matplotlib.axes._ subplots.AxesSubplot at Bx7f4f31815518>

+1.2el

0.0086

00084 -

0.0082

0.0080 -

00078

0.0076 -

T T T T
0.00050 0.00075 0.00100 0.00125
+7.981el

After running Dissolve
#4 - 07/06/2019 15:30 - Debojyoti Mallick

- Status changed from New to In Progress
#5 - 12/06/2019 16:43 - Debojyoti Mallick
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100
